<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: UserDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_user_dialog.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_user_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">UserDialog Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_user_dialog_8h_source.html">UserDialog.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for UserDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_user_dialog__inherit__graph.png" border="0" usemap="#_user_dialog_inherit__map" alt="Inheritance graph"/></div>
<map name="_user_dialog_inherit__map" id="_user_dialog_inherit__map">
<area shape="rect" id="node3" href="class_admin_dialog.html" title="AdminDialog" alt="" coords="5,155,101,181"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for UserDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_user_dialog__coll__graph.png" border="0" usemap="#_user_dialog_coll__map" alt="Collaboration graph"/></div>
<map name="_user_dialog_coll__map" id="_user_dialog_coll__map">
<area shape="rect" id="node3" href="class_user_preferences_widget.html" title="UserPreferencesWidget" alt="" coords="99,81,261,108"/>
<area shape="rect" id="node5" href="class_user_books_widget.html" title="UserBooksWidget" alt="" coords="285,81,413,108"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:ac6562b9d4472d5f91c1c97d49cf3cacf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ac6562b9d4472d5f91c1c97d49cf3cacf">openAboutDialog</a> ()</td></tr>
<tr class="separator:ac6562b9d4472d5f91c1c97d49cf3cacf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8488583c180d07fed7a4f7b258781e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab8488583c180d07fed7a4f7b258781e2">openHelpDialog</a> ()</td></tr>
<tr class="separator:ab8488583c180d07fed7a4f7b258781e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:ab441b89bb8e70c48ebca03c6773efb04"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab441b89bb8e70c48ebca03c6773efb04">sendDetailsAboutBookRequest</a> (QString isbn)</td></tr>
<tr class="separator:ab441b89bb8e70c48ebca03c6773efb04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7fb490bbaa72ec5fa9641f19070200"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a7e7fb490bbaa72ec5fa9641f19070200">sendSearchBookRequest</a> (QString id, QString title)</td></tr>
<tr class="separator:a7e7fb490bbaa72ec5fa9641f19070200"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5f8ac35de41d3c9e64c85e1689cedc8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ae5f8ac35de41d3c9e64c85e1689cedc8">sendWishlistRequest</a> ()</td></tr>
<tr class="separator:ae5f8ac35de41d3c9e64c85e1689cedc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0edc1453c13fe50e9a34754edd1ce60e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a0edc1453c13fe50e9a34754edd1ce60e">sendLoansRequest</a> ()</td></tr>
<tr class="separator:a0edc1453c13fe50e9a34754edd1ce60e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa89b7955cff67e4fc9528de6d266a045"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aa89b7955cff67e4fc9528de6d266a045">sendAddBookToWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:aa89b7955cff67e4fc9528de6d266a045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace1910dfa6e1f56bc3d3c3d3e4b21542"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ace1910dfa6e1f56bc3d3c3d3e4b21542">sendRemoveBookFromWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:ace1910dfa6e1f56bc3d3c3d3e4b21542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98b08931005f5a9f901afff4003286df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a98b08931005f5a9f901afff4003286df">sendReserveBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a98b08931005f5a9f901afff4003286df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d9cec62b7a9eee1812b628c0a15308f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a8d9cec62b7a9eee1812b628c0a15308f">sendReturnBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a8d9cec62b7a9eee1812b628c0a15308f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35fd2e5ba2011a8b75e2b9a61c31b532"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a35fd2e5ba2011a8b75e2b9a61c31b532">sendCurrentUserRequest</a> ()</td></tr>
<tr class="separator:a35fd2e5ba2011a8b75e2b9a61c31b532"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa68431ff6220fc31aecdb75f2c84c316"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aa68431ff6220fc31aecdb75f2c84c316">sendEditUserRequest</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin, QString password)</td></tr>
<tr class="separator:aa68431ff6220fc31aecdb75f2c84c316"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a125c2aa9aa687da507d02f3af94f9e48"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a125c2aa9aa687da507d02f3af94f9e48">sendImportWishlistFromFileRequest</a> (QString pathToFileToImport)</td></tr>
<tr class="separator:a125c2aa9aa687da507d02f3af94f9e48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab242de16bd25f1eeeb6cbc3d9656e992"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab242de16bd25f1eeeb6cbc3d9656e992">sendExportWishlistFromFileRequest</a> (QString pathToFileToExport)</td></tr>
<tr class="separator:ab242de16bd25f1eeeb6cbc3d9656e992"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab11953e6e270a9ca297703255da0120d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab11953e6e270a9ca297703255da0120d">sendDetailsAboutBookRequestResult</a> (<a class="el" href="class_book.html">Book</a> book, bool isReservedByUser, bool isInUserWishlist)</td></tr>
<tr class="separator:ab11953e6e270a9ca297703255da0120d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05d4498e62cbb9aba70a60c88ca09485"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a05d4498e62cbb9aba70a60c88ca09485">sendSearchBookRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:a05d4498e62cbb9aba70a60c88ca09485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1e1ca783995919647b8d2e4a416a890"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ac1e1ca783995919647b8d2e4a416a890">sendWishlistRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:ac1e1ca783995919647b8d2e4a416a890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc8092341671bf6575563dd298e956f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aecc8092341671bf6575563dd298e956f">sendLoansRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:aecc8092341671bf6575563dd298e956f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6d6ec95aeb83241afa80f68c42ae02"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ada6d6ec95aeb83241afa80f68c42ae02">sendReserveBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ada6d6ec95aeb83241afa80f68c42ae02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeab67aca47d699663edc8bfed7e6da40"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aeab67aca47d699663edc8bfed7e6da40">sendReturnBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aeab67aca47d699663edc8bfed7e6da40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7eb28790ede8a8d131b41a631f45fdd0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a7eb28790ede8a8d131b41a631f45fdd0">sendAddBookToWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a7eb28790ede8a8d131b41a631f45fdd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a735e0f1530bc833767488bead7579af2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a735e0f1530bc833767488bead7579af2">sendRemoveBookFromWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a735e0f1530bc833767488bead7579af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ceda6e9a42e541213117a785a03a34e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a8ceda6e9a42e541213117a785a03a34e">sendUserRequestResult</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin)</td></tr>
<tr class="separator:a8ceda6e9a42e541213117a785a03a34e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae914abc5a44dcb119e3516a3ebcda147"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ae914abc5a44dcb119e3516a3ebcda147">sendEditUserRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ae914abc5a44dcb119e3516a3ebcda147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa3afeb0ef9cd5257da3321704d2a322"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aaa3afeb0ef9cd5257da3321704d2a322">sendImportWishlistFromFileRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aaa3afeb0ef9cd5257da3321704d2a322"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a049e0f82ce07eaf7b82cd3d4251baa6c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a049e0f82ce07eaf7b82cd3d4251baa6c">sendExportWishlistFromFileRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a049e0f82ce07eaf7b82cd3d4251baa6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab399986324d115af1ee3aa9de52fcd14"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab399986324d115af1ee3aa9de52fcd14">UserDialog</a> (QString title=&quot;User&quot;, QDialog *parent=0)</td></tr>
<tr class="separator:ab399986324d115af1ee3aa9de52fcd14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45c414c62b116e74e61ba290f3400505"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a45c414c62b116e74e61ba290f3400505">setup</a> ()</td></tr>
<tr class="separator:a45c414c62b116e74e61ba290f3400505"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:afe9e641da1d07ae9a364eef4ce3c5bab"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#afe9e641da1d07ae9a364eef4ce3c5bab">connectSignalsSlots</a> ()</td></tr>
<tr class="separator:afe9e641da1d07ae9a364eef4ce3c5bab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada179e25c08942cd6f200dc0ad8ba3ed"><td class="memItemLeft" align="right" valign="top">virtual QMenuBar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ada179e25c08942cd6f200dc0ad8ba3ed">createMenuBar</a> ()</td></tr>
<tr class="separator:ada179e25c08942cd6f200dc0ad8ba3ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac53233e905d7e83008028fec11ea2538"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ac53233e905d7e83008028fec11ea2538">createAndAddMyBooksTab</a> ()</td></tr>
<tr class="separator:ac53233e905d7e83008028fec11ea2538"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bc4daa2484ab1ba35e78d7fcda8e91a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a7bc4daa2484ab1ba35e78d7fcda8e91a">createAndAddPreferencesTab</a> ()</td></tr>
<tr class="separator:a7bc4daa2484ab1ba35e78d7fcda8e91a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a035a0fe976c32284d7ca533321b9f96e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a035a0fe976c32284d7ca533321b9f96e"></a>
QTabWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>tabWidget</b></td></tr>
<tr class="separator:a035a0fe976c32284d7ca533321b9f96e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af787e2aaf0aa806fbfb8ccba38194c38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af787e2aaf0aa806fbfb8ccba38194c38"></a>
<a class="el" href="class_user_books_widget.html">UserBooksWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>userBooksTab</b></td></tr>
<tr class="separator:af787e2aaf0aa806fbfb8ccba38194c38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2833ad33e5f09237d172946daac5e7e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2833ad33e5f09237d172946daac5e7e"></a>
<a class="el" href="class_user_preferences_widget.html">UserPreferencesWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>userPreferencesTab</b></td></tr>
<tr class="separator:ac2833ad33e5f09237d172946daac5e7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. GUI widget to manage user stuff: books and preferences </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab399986324d115af1ee3aa9de52fcd14"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">UserDialog::UserDialog </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>title</em> = <code>&quot;User&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QDialog *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>New dialog to manage user via tabs </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>dialog to show this dialog in </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>new tabbed dialog</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="afe9e641da1d07ae9a364eef4ce3c5bab"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::connectSignalsSlots </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Connect signal and slots of object managed by backend </p>

</div>
</div>
<a class="anchor" id="ac53233e905d7e83008028fec11ea2538"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::createAndAddMyBooksTab </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Creates and adds to layout books preferences tab </p>

</div>
</div>
<a class="anchor" id="a7bc4daa2484ab1ba35e78d7fcda8e91a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::createAndAddPreferencesTab </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Creates and adds to layout preferences tab </p>

</div>
</div>
<a class="anchor" id="ada179e25c08942cd6f200dc0ad8ba3ed"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QMenuBar * UserDialog::createMenuBar </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Creates menu bar of dialog </p><dl class="section return"><dt>Returns</dt><dd>menu bar of dialog </dd></dl>

</div>
</div>
<a class="anchor" id="ac6562b9d4472d5f91c1c97d49cf3cacf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::openAboutDialog </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Shows dialog with about content </p>

</div>
</div>
<a class="anchor" id="ab8488583c180d07fed7a4f7b258781e2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::openHelpDialog </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Shows dialog with help content </p>

</div>
</div>
<a class="anchor" id="aa89b7955cff67e4fc9528de6d266a045"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendAddBookToWishlistRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7eb28790ede8a8d131b41a631f45fdd0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendAddBookToWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if adding requested book to user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a35fd2e5ba2011a8b75e2b9a61c31b532"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendCurrentUserRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to send info about current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username of user to get info about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab441b89bb8e70c48ebca03c6773efb04"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendDetailsAboutBookRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>isbn</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend for details about book with isbn </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isbn</td><td>isbn of book to get details about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab11953e6e270a9ca297703255da0120d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendDetailsAboutBookRequestResult </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isReservedByUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isInUserWishlist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response on book details </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>full book details </td></tr>
    <tr><td class="paramname">isReservedByUser</td><td>true iff current user has reserved this book </td></tr>
    <tr><td class="paramname">isInUserWishlist</td><td>true iff book is in current user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa68431ff6220fc31aecdb75f2c84c316"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendEditUserRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>password</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to change current user to this new one </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
    <tr><td class="paramname">password</td><td>new password </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae914abc5a44dcb119e3516a3ebcda147"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendEditUserRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response on change current user settings </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab242de16bd25f1eeeb6cbc3d9656e992"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendExportWishlistFromFileRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>pathToFileToExport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to export books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathToFileToExport</td><td>file to export books to user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a049e0f82ce07eaf7b82cd3d4251baa6c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendExportWishlistFromFileRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to export books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a125c2aa9aa687da507d02f3af94f9e48"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendImportWishlistFromFileRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>pathToFileToImport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to import books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathToFileToImport</td><td>file to import books to user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaa3afeb0ef9cd5257da3321704d2a322"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendImportWishlistFromFileRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends backend request to import books to user wishlist from given file </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0edc1453c13fe50e9a34754edd1ce60e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendLoansRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get books loans of current user </p>

</div>
</div>
<a class="anchor" id="aecc8092341671bf6575563dd298e956f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendLoansRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get books loans of current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">books</td><td>user books loans </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ace1910dfa6e1f56bc3d3c3d3e4b21542"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendRemoveBookFromWishlistRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove book from user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a735e0f1530bc833767488bead7579af2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendRemoveBookFromWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if removing requested book from user wishlist operation went well </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a98b08931005f5a9f901afff4003286df"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendReserveBookRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to reserve book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to reserve </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ada6d6ec95aeb83241afa80f68c42ae02"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendReserveBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to reserve book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8d9cec62b7a9eee1812b628c0a15308f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendReturnBookRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to return book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to return </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aeab67aca47d699663edc8bfed7e6da40"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendReturnBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to return book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7e7fb490bbaa72ec5fa9641f19070200"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendSearchBookRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>title</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to search database for given book </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>isbn code to search book </td></tr>
    <tr><td class="paramname">title</td><td>title of book to search </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a05d4498e62cbb9aba70a60c88ca09485"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendSearchBookRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets search results </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">books</td><td>search results </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8ceda6e9a42e541213117a785a03a34e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendUserRequestResult </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response to send info about current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>current user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae5f8ac35de41d3c9e64c85e1689cedc8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendWishlistRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get wishlist of current user </p>

</div>
</div>
<a class="anchor" id="ac1e1ca783995919647b8d2e4a416a890"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::sendWishlistRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt;&#160;</td>
          <td class="paramname"><em>books</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to get wishlist of current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">books</td><td>user books wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a45c414c62b116e74e61ba290f3400505"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDialog::setup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Setups gui </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gui/dialogs/UserDialog/<a class="el" href="_user_dialog_8h_source.html">UserDialog.h</a></li>
<li>gui/dialogs/UserDialog/UserDialog.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_user_dialog.html">UserDialog</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
